package com.tarena.oss.user.dao;

import java.util.Collection;

import com.tarena.oss.user.pojo.User;


public interface UserMgmtDAO {
	public void insertUser(User user);
	public void updateUser(User user);
	public void deleteUser(User user);
	
	public Collection<User> queryUsers();
	public User queryUser(Integer id);
	
	public Collection<User> queryUsers(String cond);
	public Collection<User> queryUsers(int currentPage);
	public Collection<User> queryUsers(String cond, int currentPage);
	
	public int queryUserCnt();
	public int queryUserCnt(String cond);

	User login(String userName,String password);
	User queryUserByLoginname(Integer id);
	
}
